package tech.williamist.darktitlebar.mixin;

import net.minecraft.client.MinecraftClient;
import net.minecraft.client.RunArgs;
import net.minecraft.client.util.Window;
import org.spongepowered.asm.mixin.Final;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;
import tech.williamist.darktitlebar.DarkTitleBar;

@Mixin(MinecraftClient.class)
public class WindowCreateMixin {

    @Shadow @Final private Window window;

    @Inject(at = @At("TAIL"), method = "<init>")
    public void createWindow(RunArgs args, CallbackInfo ci) {
        DarkTitleBar.setDarkTitlebar(window);
    }

}
